%define name    pyzor
%define version	0.4.0
%define release	%mkrel 8

%define summary Pyzor is a collaborative system to detect and block spam

%define	python_ver   %pyver

Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Networking/Mail
URL:            http://pyzor.sourceforge.net/
Source0:        %name-%version.tar.bz2
Patch0:		%name-python_path.patch.bz2
Patch1:		%name-handle_digest_is_none.patch.bz2
Patch2:		%name-handle_unknown_encoding.patch.bz2
BuildRoot:      %_tmppath/%name-buildroot
Buildrequires:	python-devel
Requires:	python
BuildArch:      noarch

%description
Pyzor is a collaborative, networked system to detect and block spam using
identifying digests of messages.

Pyzor initially started out to be merely a Python implementation of Razor, but
due to the protocol and the fact that Razor's server is not Open Source or
software libre, I decided to impelement Pyzor with a new protocol and release
the entire system as Open Source and software libre.

Since the entire system is released under the GPL, people are free to host
their own independent servers. Server peering is planned for a future release.

%prep
%setup -q
%patch0 -p0 -b .%name-python_patch.patch
%patch1 -p0 -b .%name-handle_digest_is_none.patch
%patch2 -p0 -b .%name-handle_unknown_encoding.patch


%build
%__python setup.py build

%install
rm -rf %buildroot
%__python setup.py install --root=%buildroot

# unwanted file in document dir. we packaged it in files section
rm %buildroot/%_defaultdocdir/%name/usage.html

%clean
rm -rf %buildroot

%files
%defattr(644,root,root,755)
%doc COPYING README INSTALL ChangeLog THANKS NEWS UPGRADING
%doc docs/usage.html
%dir /usr/lib/python%{python_ver}/site-packages/%{name}
/usr/lib/python%{python_ver}/site-packages/%{name}/*
%defattr(755,root,root)
%_bindir/*

%changelog
* Sun Aug 27 2006 Emmanuel Andry <eandry@mandriva.org> 0.4.0-8mdv2007.0
- statically set /usr/lib to avoid x86_64 looking in /usr/lib64

* Mon Mar 20 2006 Tibor Pittich <Tibor.Pittich@mandriva.org> 0.4.0-7mdk
- rebuild
- use mkrel macro

* Fri Feb 4 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 0.4.0-6mdk
- fixed summary-ended-with-dot

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.4.0-5mdk
- Rebuild for new python

* Mon Oct 25 2004 Michael Scherer <misc@mandrake.org> 0.4.0-4mdk
- Rebuild
- change to noarch

* Mon Sep 15 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.4.0-3mdk
- applied patches from home page of pyzor (thanks to Chris Garrigues)

* Mon Aug 11 2003 Per �vind Karlsen <peroyvind@linux-mandrake.com> 0.4.0-2mdk
- rebuild for new python

* Thu May 9 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.4.0-1mdk
- initial MDK contrib import - let's make spamassassin more powerful
- create patch to disable requires /usr/bin/python2 (thanks vdanen)

